Subject: Content-Encoding header (again)

From: "Joshua Moloney" <[email-masked]>
Date: Tue, 29 Feb 2000 14:26:55 -0000

Hi,

Thanks for the reply Jonathan. It helped me (I think!) with a few questions
I had about the headers, but I guess I really asked the wrong question. So
here goes...

In a SIP message with multiple payloads (i.e. multipart/mixed content-type),
the following example is often cited:

     	INVITE sip:[email-masked] SIP/2.0
	From: sip:[email-masked]
	To: sip:[email-masked]
	Call-ID: [email-masked]
	Content-Length: 377
	Content-Type: multipart/mixed; boundary=unique-boundary-1
	MIME-Version: 1.0          

	--unique-boundary-1
	Content-Type: application/SDP; charset=ISO-10646
	v=0
	o=ezimmerer 2890844526 2890842807 IN IP4 126.16.64.4
	s=SDP seminar
   	c=IN IP4 MG122.level3.com
	t= 2873397496	2873404696
	m=audio 9092 RTP/AVP 0 3 4

	--unique-boundary-1
	Content-type:application/ISUP; version=ETSI1
	Content-Transfer-Encoding: binary

	89 8b 0e 95 1e 1e 1e 06 26 05 0d f5 01 06 10 04 00 

	--unique-boundary-1--

The ISUP payload has a Content-Transfer-Encoding header. Is this correct? Is
it required at all (for the reasons stated in your original response), or
should the Content-Encoding header be used instead? Or, should a parser be
able to understand both types of header (thus suggesting that a SIP parser
should be fully MIME compliant)?

Cheers,

Josh Moloney
Nortel Networks

> -----Original Message-----
> From:	Jonathan Rosenberg [SMTP:[email-masked]]
> Sent:	25 February 2000 19:17
> To:	Moloney, Joshua [MDN05:7U46:EXCH]
> Cc:	[email-masked]'
> Subject:	Re: Content-Encoding vs. Content-Transfer-Encoding
> 
> The Content-Transfer-Encoding header was primarily meant to allow
> message bodies to be transformed into formats that could be transferred
> on channels that were not 8 bit clean. HTTP, which makes use of many of
> the MIME headers, is 8 bit clean, and thus did not need
> Content-Transfer-Encoding. SIP followed suit, and so does not use it
> either. Content-Encoding is used for things like compression, which is
> different (in fact, the opposite, since conversion of a binary file to a
> 7 bit transfer channel INCREASES the size of the body). 
> 
> -Jonathan R.
> 
> > Joshua Moloney wrote:
> > 
> > Hi all,
> > 
> > I have a question about the "Content-Encoding" entity header.
> > Why is the MIME "Content-Transfer-Encoding" header defined in RFC 2045
> > not used instead?
> > Am I correct in assuming that they do the same job?
> > 
> > For example, what headers should I include on a message with an
> > "application/ISUP" message body? :-
> > 
> > Content-Type: application/ISUP
> > Content-Transfer-Encoding: binary
> > .....
> > 
> > OR
> > 
> > Content-Type: application/ISUP
> > Content-Encoding: binary
> > .....
> > 
> > Thanks in advance,
> > 
> > Josh Moloney
> > 
> > Nortel Networks
> > [email-masked]
> 
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
>